gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Gtk::FileChooserError Class Reference

Exception class for Gdk::FileChooser errors. More...

Inheritance diagram for Gtk::FileChooserError:
[legend]
Collaboration diagram for Gtk::FileChooserError:
[legend]

List of all members.

## Public Types
enum | Code { NONEXISTENT, BAD_FILENAME, ALREADY_EXISTS, INCOMPLETE_HOSTNAME }
## Public Member Functions
| FileChooserError (Code error_code, const Glib::ustring& error_message)
| FileChooserError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gdk::FileChooser errors.

## Member Enumeration Documentation

enum Gtk::FileChooserError::Code

Enumerator:

  NONEXISTENT |
  BAD_FILENAME |
  ALREADY_EXISTS |
  INCOMPLETE_HOSTNAME |

## Constructor & Destructor Documentation

Gtk::FileChooserError::FileChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::FileChooserError::FileChooserError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::FileChooserError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- gtkmm/filechooser.h